diff options
| author | Raptor Engineering Development Team <support@raptorengineering.com> | 2019-11-05 21:22:28 +0000 |
|---|---|---|
| committer | Raptor Engineering Development Team <support@raptorengineering.com> | 2019-11-05 21:22:53 +0000 |
| commit | f5907d7a3a9b27210bf4e39111bd229ed9079855 (patch) | |
| tree | a062f7ee561400c4115e6b79da02a41b2958f879 /package/freescale-imx/imx-uuc | |
| parent | 4b6188e0f2397a013b91105828437c90a3b1dfb7 (diff) | |
| download | buildroot-2017.11-op-build.tar.gz buildroot-2017.11-op-build.zip | |
Initial pass at removing binary-only, unlicensed, and proprietary packages from buildroot tree2017.11-op-build
Note that DAHDI is only being removed due to poor packaging -- it does not require binary
firmware on some cards, but the buildroot packaging for it unconditionally pulls in binary-only
firmware regardless.
Diffstat (limited to 'package/freescale-imx/imx-uuc')
| -rw-r--r-- | package/freescale-imx/imx-uuc/Config.in | 21 | ||||
| -rw-r--r-- | package/freescale-imx/imx-uuc/S80imx-uuc | 27 | ||||
| -rw-r--r-- | package/freescale-imx/imx-uuc/imx-uuc.hash | 2 | ||||
| -rw-r--r-- | package/freescale-imx/imx-uuc/imx-uuc.mk | 40 | ||||
| -rw-r--r-- | package/freescale-imx/imx-uuc/imx-uuc.service | 11 |
5 files changed, 0 insertions, 101 deletions
diff --git a/package/freescale-imx/imx-uuc/Config.in b/package/freescale-imx/imx-uuc/Config.in deleted file mode 100644 index ed734ad7e2..0000000000 --- a/package/freescale-imx/imx-uuc/Config.in +++ /dev/null @@ -1,21 +0,0 @@ -config BR2_PACKAGE_IMX_UUC - bool "imx-uuc" - depends on BR2_TOOLCHAIN_HAS_THREADS - depends on BR2_arm # Only relevant for i.MX - depends on BR2_USE_MMU # fork() - select BR2_PACKAGE_HOST_DOSFSTOOLS - help - This package provides the Universal Adapter user-space - utility that is used to receive commands from the - Manufacturing Tool using the Freescale UTP Protocol. - - It requires a Freescale/NXP kernel whose configuration - contains the CONFIG_FSL_UTP option. - - This package is provided by Freescale/NXP as-is and doesn't - have an upstream. - -comment "imx-uuc needs a toolchain w/ threads" - depends on BR2_arm - depends on BR2_USE_MMU - depends on !BR2_TOOLCHAIN_HAS_THREADS diff --git a/package/freescale-imx/imx-uuc/S80imx-uuc b/package/freescale-imx/imx-uuc/S80imx-uuc deleted file mode 100644 index 9a92c98383..0000000000 --- a/package/freescale-imx/imx-uuc/S80imx-uuc +++ /dev/null @@ -1,27 +0,0 @@ -#!/bin/sh - -NAME=uuc -DAEMON=/usr/bin/$NAME - -case "$1" in - start) - printf "Starting $NAME: " - start-stop-daemon -S -q -b -m -p /var/run/${NAME}.pid -x $DAEMON - [ $? = 0 ] && echo "OK" || echo "FAIL" - ;; - stop) - printf "Stopping $NAME: " - start-stop-daemon -K -q -p /var/run/${NAME}.pid - [ $? = 0 ] && echo "OK" || echo "FAIL" - ;; - restart|reload) - $0 stop - sleep 1 - $0 start - ;; - *) - echo "Usage: $0 {start|stop|restart}" - exit 1 -esac - -exit $? diff --git a/package/freescale-imx/imx-uuc/imx-uuc.hash b/package/freescale-imx/imx-uuc/imx-uuc.hash deleted file mode 100644 index d6e4d97ea0..0000000000 --- a/package/freescale-imx/imx-uuc/imx-uuc.hash +++ /dev/null @@ -1,2 +0,0 @@ -# Locally computed -sha256 eac0c3e288c845cd9b82d02993f8358731a7a03e51591b27feeb453b143beb73 imx-uuc-3440b1108373e79669cc17ba1d2be91a123a2053.tar.gz diff --git a/package/freescale-imx/imx-uuc/imx-uuc.mk b/package/freescale-imx/imx-uuc/imx-uuc.mk deleted file mode 100644 index f24216da26..0000000000 --- a/package/freescale-imx/imx-uuc/imx-uuc.mk +++ /dev/null @@ -1,40 +0,0 @@ -################################################################################ -# -# imx-uuc -# -################################################################################ - -IMX_UUC_VERSION = 3440b1108373e79669cc17ba1d2be91a123a2053 -IMX_UUC_SITE = $(call github,NXPmicro,imx-uuc,$(IMX_UUC_VERSION)) -IMX_UUC_LICENSE = GPL-2.0+ -IMX_UUC_LICENSE_FILES = COPYING - -# mkfs.vfat is needed to create a FAT partition used by g_mass_storage -# so Windows do not offer to format the device when connected to the PC. -IMX_UUC_DEPENDENCIES = host-dosfstools - -define IMX_UUC_BUILD_CMDS - $(TARGET_MAKE_ENV) $(MAKE) -C $(@D) CC=$(TARGET_CC) -endef - -define IMX_UUC_INSTALL_TARGET_CMDS - $(INSTALL) -D -m 755 $(@D)/uuc $(TARGET_DIR)/usr/bin/uuc - $(INSTALL) -D -m 755 $(@D)/sdimage $(TARGET_DIR)/usr/bin/sdimage - dd if=/dev/zero of=$(TARGET_DIR)/fat bs=1M count=1 - $(HOST_DIR)/sbin/mkfs.vfat $(TARGET_DIR)/fat -endef - -define IMX_UUC_INSTALL_INIT_SYSV - $(INSTALL) -D -m 0755 package/freescale-imx/imx-uuc/S80imx-uuc \ - $(TARGET_DIR)/etc/init.d/S80imx-uuc -endef - -define IMX_UUC_INSTALL_INIT_SYSTEMD - $(INSTALL) -D -m 0644 package/freescale-imx/imx-uuc/imx-uuc.service \ - $(TARGET_DIR)/usr/lib/systemd/system/imx-uuc.service - mkdir -p $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants/ - ln -fs ../../../../usr/lib/systemd/system/imx-uuc.service \ - $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants/imx-uuc.service -endef - -$(eval $(generic-package)) diff --git a/package/freescale-imx/imx-uuc/imx-uuc.service b/package/freescale-imx/imx-uuc/imx-uuc.service deleted file mode 100644 index fae7fc64dd..0000000000 --- a/package/freescale-imx/imx-uuc/imx-uuc.service +++ /dev/null @@ -1,11 +0,0 @@ -[Unit] -Description=i.MX Universal UTP Communication Service -After=systemd-modules-load.service - -[Service] -Type=simple -ExecStart=/usr/bin/uuc - -[Install] -WantedBy=multi-user.target - |

